Subject: Re: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions should ding

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 22 Mar 2022 15:07:47 +0100

Michael Heerdegen <[email-masked]> writes:

>> But this is a minor mode, so the prefix arg is taken.
>
> It is also already taken to set the "locking mode"... ;-)
>
>> We could add a `emacs-lock-set-reason' command, but...  would anybody
>> use that?
>
> I would not, this would be too distracting.  Using the prefix arg of
> the mode function,

But the prefix arg is taken?

> or a function in the mode hook that would prompt automatically would
> be better.

I'm not sure I understand.  If we want to add prompting automatically,
we'd just do that in the mode function, surely?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no